#include <iostream>
#include <string>
using namespace std;
int main()
{
    string str;
    char c;
    int i,j,mini,poz1,poz2,a[10],b[10];
    cin>>str;
    if(str.length()==1)
    {
        cout<<0;
        return 0;
    }
    mini=str.length();
    for(i=0; i<10; i++)
    {
        a[i]=0;
        b[i]=0;
    }
    for (i=0; i<10; i++)
    {
        c=char(i+48);
        if (str.find(c)==-1)
        {
            b[i]=0;
            a[i]=0;
        }
        else
        {
            poz1=str.find(c,0);
            poz2=poz1;
            a[i]=1;
            while(str.find(c,poz2+1)!=-1)
            {
                poz2=str.find(c,poz2+1);
                a[i]=a[i]+1;
            }
            if (poz2==poz1) b[i]=1;
            else   b[i]=(poz2-poz1)-a[i]+1;
            if (b[i]==0) b[i]++;
            if (mini>b[i])
                mini=b[i];
        }
    }
    cout<<mini<<endl;
    return 0;
}